local t = Def.ActorFrame{}

if GAMESTATE:IsCourseMode() then
	local course = GAMESTATE:GetCurrentCourse()
	
	t[#t+1] = Def.Banner {
		InitCommand=function(self)
			(cmd(x,SCREEN_CENTER_X;y,100;scaletoclipped,418,164))(self);
			self:LoadFromCourse(course);
		end;
	}
	
	t[#t+1] = LoadFont("ArialOutline")..{
		Text=course:GetDisplayFullTitle();
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_BOTTOM-50;vertalign,bottom;shadowlength,0;wrapwidthpixels,SCREEN_WIDTH*0.75);
	}
else
	t[#t+1] = LoadSongBackground()
end
return t